這個端點啟動帽子虛擬試戴流程。您必須提供來源檔案、參考檔案(網址或 ID),並指定性別與風格參數。任務會以非同步方式處理,您可以使用這個回應回傳的 task_id 查詢其狀態。
安全
BearerAuthenticationV2
Any of:
用於控制穿搭與背景風格。
默认值:"random"
Enum:"random""style_sporty_casual""style_urban_fashion""style_vacation_casual""style_warm_cozy""style_bohemian"
示例:"random"
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/hat
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/hat \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_url": "https://example.com/accessory.jpg",
"gender": "female",
"style": "random"
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }